Bug 278258 - Calligra does not show correct "format of page numbers"
Summary: Calligra does not show correct "format of page numbers"
Status: RESOLVED FIXED
Alias: None
Product: calligrawords
Classification: Applications
Component: opendocument (show other bugs)
Version: Git
Platform: Gentoo Packages Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Calligra Words Bugs
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-07-22 10:53 UTC by Bernd Buschinski
Modified: 2011-10-11 10:30 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
example document, pagenumberchange.odt (8.64 KB, application/vnd.oasis.opendocument.text)
2011-07-22 10:53 UTC, Bernd Buschinski
Details
left libreoffice, right calligrawords (3.86 KB, image/png)
2011-07-22 10:54 UTC, Bernd Buschinski
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Bernd Buschinski 2011-07-22 10:53:35 UTC
Created attachment 62068 [details]
example document, pagenumberchange.odt

Version:           svn (using KDE 4.6.4) 
OS:                Linux

Calligra does not show correct "format of page numbers" from imported openoffice/libreoffice documents

Reproducible: Always

Steps to Reproduce:
import pagenumberchage.odt

Actual Results:  
see "1" in headerline

Expected Results:  
"i" should be shown

calligrawords 2.3.73
Comment 1 Bernd Buschinski 2011-07-22 10:54:09 UTC
Created attachment 62069 [details]
left libreoffice, right calligrawords
Comment 2 Camilla Boemann 2011-10-11 10:30:26 UTC
Git commit 86865396ec38e71254c3db6e4721c781e4dd29cf by C. Boemann.
Committed on 10/10/2011 at 23:21.
Pushed by boemann into branch 'master'.

Support formatting of pagenumbers, however OO/LO save illigal ODF when
they save format as "from page style". Such a thing is not possible in ODF

BUG:278258

M  +9    -2    plugins/variables/PageVariable.cpp
M  +2    -0    plugins/variables/PageVariable.h

http://commits.kde.org/calligra/86865396ec38e71254c3db6e4721c781e4dd29cf